Package twisted :: Package internet :: Module base :: Class BCFactory

[frames | no frames]

## Class BCFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   BCFactory

Factory for backwards compatability with old clientXXX APIs.

Method Summary
| `__init__(self, protocol)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed to connect.
| `loseConnection(self)`
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when an established connection is lost.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientConnectionFailed(self, connector, reason)

Called when a connection has failed to connect.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionFailed` (inherited documentation)

### startedConnecting(self, connector)

Called when a connection has been started.

You can call connector.stopConnecting() to stop the connection attempt.

  Parameters:
    `connector` - a Connector object.
  Overrides:
    `twisted.internet.protocol.ClientFactory.startedConnecting` (inherited documentation)

Generated by Epydoc 2.0 on Wed Feb 25 07:37:33 2004 | http://epydoc.sf.net